Bug 244499 - ldif2ldap fails - fedora-ds-base should require mozldap-tools
Summary: ldif2ldap fails - fedora-ds-base should require mozldap-tools
Status: CLOSED NEXTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall   
(Show other bugs)
Version: 1.1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-06-16 06:46 UTC by Mathias Nicolajsen Kjærgaard
Modified: 2015-01-04 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 18:24:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mathias Nicolajsen Kjærgaard 2007-06-16 06:46:34 UTC
Description of problem:
The command-line script /usr/lib/fedora-ds/slapd-INSTANCE/ldif2ldap fails with
the error-message:

/usr/lib/fedora-ds/slapd-INSTANCE/ldif2ldap: line 14: ldapmodify: command not found 

yum install mozldap-tools will solve the problem.

Version-Release number of selected component (if applicable):
fedora-ds-base-1.1.0-0.1.20070320.fc7

How reproducible:
Always

Steps to Reproduce:
1. yum install fedora-ds-base
2. /usr/bin/ds_newinst.pl fedora-ds-INSTANCE.inf
3. /usr/lib/fedora-ds/slapd-INSTANCE/ldif2ldap
  
Actual results:
/usr/lib/fedora-ds/slapd-INSTANCE/ldif2ldap: line 14: ldapmodify: command not found

Expected results:
Import ldif-file

Additional info:

Comment 1 Nathan Kinder 2007-06-21 22:04:43 UTC
I've checked a fix in for the specfile to add a requires for mozldap-tools.  The
next build of FDS will pick this change up.


Note You need to log in before you can comment on or make changes to this bug.